<template>
  <!-- 提货委托页面 -->
  <div class="shipTransport">
    <div class="top">
      <el-input
        class="el-input"
        placeholder="请输入内容"
        v-model="input"
        clearable
      >
      </el-input>

      <el-button type="primary" class="btn" @click="onclick">
        <i class="el-icon-search"></i>查询
      </el-button>
      <el-button type="primary" class="btn" @click="addClick">
        <i class="el-icon-circle-plus-outline"></i>新增
      </el-button>
      <el-button
        type="primary"
        class="btn"
        @click="addPick"
        v-show="activeName === 'second'"
        v-model="makeSure"
      >
        <i class="el-icon-circle-plus-outline"></i>生成提货委托书
      </el-button>
    </div>
    <el-tabs v-model="activeName" @tab-click="handleClick">
      <!-- 未下发 -->
      <el-tab-pane label="未下发" name="first">
        <dilTable v-bind.sync="option1" ref="table">
          <el-table-column
            fixed="right"
            align="center"
            label="操作"
            width="120"
          >
            <template slot-scope="scope">
              <el-button
                @click="sendClick(scope.row.attorneyId)"
                type="text"
                size="small"
              >
                下发
              </el-button>
              <el-button
                @click="modifyClick(scope.row.attorneyId)"
                type="text"
                size="small"
              >
                修改
              </el-button>
              <el-button
                @click="deleteclick(scope.row.attorneyId)"
                type="text"
                size="small"
              >
                删除
              </el-button>
            </template>
          </el-table-column>
        </dilTable>
      </el-tab-pane>
      <!-- 已下发 -->
      <el-tab-pane label="已下发" name="second">
        <dilTable
          v-bind.sync="option2"
          @selection-change="currentSelectionChange"
        >
        </dilTable>
      </el-tab-pane>
    </el-tabs>
  </div>
</template>

<script>
export default {
  name: "homeworkPath",
  data() {
    return {
      // restaurants: [],
      input: "",
      activeName: "first",
      amsShipDeliveryList: {},
      option1: {
        // 表格请求数据的地址
        requestUrl:
          "/api/v1/tms/getAmsshipDeliveryAttroneyList?apiId=73&status=0",
      },
      option2: {
        // 表格请求数据的地址
        requestUrl:
          "/api/v1/tms/getAmsshipDeliveryAttroneyList?apiId=73&status=1",
        selectionType: "select",
        amsShipList: [],
      },
    };
  },

  methods: {
    // querySearch(queryString, cb) {
    //   var restaurants = this.restaurants;
    //   var results = queryString
    //     ? restaurants.filter(this.createFilter(queryString))
    //     : restaurants;
    //   cb(results);
    // },
    // createFilter(queryString) {
    //   return (restaurant) => {
    //     return (
    //       restaurant.value.toLowerCase().indexOf(queryString.toLowerCase()) ===
    //       0
    //     );
    //   };
    // },
    // 将所有数据送到新增提货委托书
    makeSure() {
      // let amsShipDeliveryList={
      //   amsShipDeliveryList=this.amsShipDeliveryList
      // }
    },
    // 通过事件显示生成提货委托书按钮
    currentSelectionChange(selection) {
      this.amsShipDeliveryList = selection;
    },
    handleClick(tab, event) {
      console.log(tab, event);
    },
    onclick() {
      // this.option.requestUrl =
      //   "/api/v1/tms/getAmsshipDeliveryAttroneyList?apiId=73&con=" + this.input;
    },
    click(pathId) {
      this.$router.push("/path/addDeliveryNotice/" + pathId);
    },
    addClick() {
      this.$router.push("/addDeliveryAttorney/");
    },
    modifyClick(attorneyId) {
      this.$router.push("/modifyDeliveryAttroney/" + attorneyId);
    },

    deleteclick(scope) {
      let attorneyId = scope;
      this.$confirm("是否删除", "提示", {
        confirmButtonText: "确定",
        cancelButtonText: "取消",
        type: "warning",
        center: true,
      })
        .then(() => {
          this.$message({
            type: "success",
            message: "删除成功!",
          });
          this.axios
            .post("/api/v1/tms/deleteByAttorneyId/" + attorneyId)
            .then(() => {
              this.$router.go(0);
            });
        })
        .catch(() => {
          this.$message({
            type: "info",
            message: "取消删除!",
          });
        });
    },
    sendClick(scope) {
      let attorneyId = scope;
      this.$confirm("是否下发", "提示", {
        confirmButtonText: "确定",
        cancelButtonText: "取消",
        type: "warning",
        center: true,
      })
        .then(() => {
          this.$message({
            type: "success",
            message: "下发成功",
          });
          this.axios
            .post("/api/v1/tms/sendDeliveryAttorneyStatus/" + attorneyId)
            .then(() => {
              this.$router.go(0);
            });
        })
        .catch(() => {
          this.$message({
            type: "info",
            message: "下发失败!",
          });
        });
    },
  },
};
</script>
<style lang='scss' scoped>
.shipTransport {
  .top {
    padding: 1.25rem 0.375rem;
    .el-input {
      width: 20%;
      margin-right: 40rpx;
    }
  }
}
</style>
